Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class EISResource

    java.lang.Object
      |
      +--weblogic.security.service.ResourceBase
            |
            +--weblogic.security.service.EISResource

public class EISResource
extends ResourceBase

The `EISResource` class is used by a container to specify the EIS resource (and method related to the resource) that a caller is attempting to access.

The `toString` format (which is produced by the `ResourceBase` class) for an EIS resource is:
`type=<eis>, application=MyApplication, module=My.rar, eis=myResource`

Author:
  Copyright (c) 2002 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Constructor Summary
`EISResource(java.lang.String application, java.lang.String module, java.lang.String eis)` Constructs a new `EISResource` with a target name composed from the `application`, `module`, and `eis` parameters.

Method Summary
`java.lang.String` | `getApplicationName()` Gets the name of the application associated with the `EISResource`.
`java.lang.String` | `getEISName()` Gets the name of the `EISResource`.
`java.lang.String[]` | `getKeys()` Gets keys for the `EISResource`.
`java.lang.String` | `getModuleName()` Gets the name of the `EISResource` module.
`java.lang.String` | `getType()` Gets the type of this resource (`EISResource`).
`void` | `initialize(java.lang.String application, java.lang.String module, java.lang.String eis)` Deprecated. As of 04/01/02, the constructor should be used instead.
`protected Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current `EISResource`.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, reset, toString, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EISResource

    public EISResource(java.lang.String application,
                       java.lang.String module,
                       java.lang.String eis)
                throws InvalidParameterException

  Constructs a new `EISResource` with a target name composed from the `application`, `module`, and `eis` parameters.

  Parameters:
    `application` - a String indicating the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `module` - a String name of the module, as it appears in the corresponding `<display-name>` element. The `<display-name>` is associated with the `<connector>` element in the deployment descriptor. Because the `<display-name>` element is optional in the `<connector>` element of the deployment descriptor, the name of the `.rar` file containing the EIS, less the '`.rar`' extension, may be used in its absence.

    `eis` - a String representing the name of the EIS resource, as it appears in the corresponding `<eis-type>` element in the deployment descriptor.

  Throws:
    InvalidParameterException - if the parameters are not specified.

Method Detail

### initialize

    public void initialize(java.lang.String application,
                           java.lang.String module,
                           java.lang.String eis)

  Deprecated. As of 04/01/02, the constructor should be used instead.

  Replaces `application`, `module`, `eis` parameters of the resource with the specified values.

  Parameters:
    `application` - a String indicating the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file. A value of `null` indicates that the resource is not deployed as part of an application.

    `module` - a String name of the module, as it appears in the corresponding `<display-name>` element. The `<display-name>` is associated with the `<connector>` element in the deployment descriptor. Because the `<display-name>` element is optional in the `<connector>` element of the deployment descriptor, the name of the `.rar` file containing the EIS, less the '`.rar`' extension, may be used in its absence.

    `eis` - a String representing the name of the EIS resource, as it appears in the corresponding `<eis-type>` element in the deployment descriptor.

### getType

    public java.lang.String getType()

  Gets the type of this resource (`EISResource`).

  Returns:
    the type of this resource, represented as a String.

### makeParent

    protected Resource makeParent()

  Gets a `Resource` object that represents the parent of the current `EISResource`. If the resource does not have a parent, the value of `null` must be returned.

  The parentage hierarchy for the `EISResource` (that is, the values returned from successive calls to this method) is:

  `type=<eis>, application=MyApplication, module=My.rar
  type=<eis>, application=MyApplication
  type=<app>, application=MyApplication
  type=<eis>`

  Returns:
    the `Resource` object of the parent resource.

  Overrides:
    makeParent in class ResourceBase

### getKeys

    public java.lang.String[] getKeys()

  Gets keys for the `EISResource`.

  Returns:
    an array of Strings containing the `EISResource`'s keys.

  Overrides:
    getKeys in class ResourceBase

### getApplicationName

    public java.lang.String getApplicationName()

  Gets the name of the application associated with the `EISResource`.

  Returns:
    the name of the application associated with the `EISResource`, represented as a String.

### getModuleName

    public java.lang.String getModuleName()

  Gets the name of the `EISResource` module.

  Returns:
    the name of the `EISResource` module, represented as a String.

### getEISName

    public java.lang.String getEISName()

  Gets the name of the `EISResource`.

  Returns:
    the name of the `EISResource`, represented as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference